<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Formatters.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Formatters</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Package <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Formatters.html" >Formatters</a>.Formatters

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatters.html#quote_name" >quote_name</a></span>(<span class="variable">name</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.quote_name" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line18" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Quotes a &#40;file-&#41; name to remove illegal characters and keep it
    within a reasonable length for the filesystem.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatters.html#open_file" >open_file</a></span>(<span class="variable">path</span>, <span class="variable">mode</span> = <span class="value">511</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.open_file" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line47" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Open a file for writing.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatters.html#copy_file" >copy_file</a></span>(<span class="variable">src</span>, <span class="variable">dest</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.copy_file" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line56" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Copy src to dest&#44; if dest doesn't exist yet or is outdated.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatters.html#join_paths" >join_paths</a></span>(<span class="variable">prefix</span>, <span class="variable">path</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.join_paths" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line64" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    This function joins `prefix` and `path`&#44; irrespectively of whether
    `path` is absolute or not.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="quote_name">quote_name</a>(<span class="variable">name</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.quote_name" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line18" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Quotes a &#40;file-&#41; name to remove illegal characters and keep it
    within a reasonable length for the filesystem.
   
    The md5 hash function is used if the length of the name after quoting is
    more than 100 characters. If it is used&#44; then as many characters at the
    start of the name as possible are kept intact&#44; and the hash appended to
    make 100 characters.
   
    Do not pass filenames with meaningful extensions to this function&#44; as the
    hash could destroy them.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="open_file">open_file</a>(<span class="variable">path</span>, <span class="variable">mode</span> = <span class="value">511</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.open_file" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line47" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Open a file for writing. Create all intermediate directories.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="copy_file">copy_file</a>(<span class="variable">src</span>, <span class="variable">dest</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.copy_file" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line56" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Copy src to dest&#44; if dest doesn't exist yet or is outdated.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="join_paths">join_paths</a>(<span class="variable">prefix</span>, <span class="variable">path</span>)  </div> <div class="xref"><a href="../../../XRef/xref9.html#Synopsis.Formatters.Formatters.join_paths" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Formatters/__init__.py.html#line64" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    This function joins `prefix` and `path`&#44; irrespectively of whether
    `path` is absolute or not. To do this portably is non-trivial.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
